Index: issm/trunk-jpl/src/c/objects/KML/KML_StyleSelector.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_StyleSelector.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_StyleSelector.h	(revision 12494)
@@ -29,11 +29,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_SubStyle.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_SubStyle.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_SubStyle.h	(revision 12494)
@@ -29,11 +29,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/KML/KML_Unknown.h
===================================================================
--- issm/trunk-jpl/src/c/objects/KML/KML_Unknown.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/KML/KML_Unknown.h	(revision 12494)
@@ -32,11 +32,11 @@
 		void  Write(FILE* fid,const char* indent);
 		void  Read(FILE* fid,char* kstr);
-		int   Id(){_error_("Not implemented yet.");};
-		int   MyRank(){_error_("Not implemented yet.");};
-		void  Marshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   MarshallSize(){_error_("Not implemented yet.");};
-		void  Demarshall(char** pmarshalled_dataset){_error_("Not implemented yet.");};
-		int   ObjectEnum(){_error_("Not implemented yet.");};
-		Object* copy(){_error_("Not implemented yet.");};
+		int   Id(){_error2_("Not implemented yet.");};
+		int   MyRank(){_error2_("Not implemented yet.");};
+		void  Marshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   MarshallSize(){_error2_("Not implemented yet.");};
+		void  Demarshall(char** pmarshalled_dataset){_error2_("Not implemented yet.");};
+		int   ObjectEnum(){_error2_("Not implemented yet.");};
+		Object* copy(){_error2_("Not implemented yet.");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/Kriging/ExponentialVariogram.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Kriging/ExponentialVariogram.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Kriging/ExponentialVariogram.h	(revision 12494)
@@ -23,9 +23,9 @@
 		/*Object virtual functions definitions*/
 		void  Echo();
-		void  DeepEcho(){_error_("Not implemented yet");};
-		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
-		int   ObjectEnum(){_error_("Not implemented yet");};
-		Object* copy(){_error_("Not implemented yet");};
+		void  DeepEcho(){_error2_("Not implemented yet");};
+		int   Id(){_error2_("Not implemented yet");}; 
+		int   MyRank(){_error2_("Not implemented yet");};
+		int   ObjectEnum(){_error2_("Not implemented yet");};
+		Object* copy(){_error2_("Not implemented yet");};
 
 		/*Variogram functions*/
Index: issm/trunk-jpl/src/c/objects/Kriging/GaussianVariogram.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Kriging/GaussianVariogram.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Kriging/GaussianVariogram.h	(revision 12494)
@@ -23,9 +23,9 @@
 		/*Object virtual functions definitions*/
 		void  Echo();
-		void  DeepEcho(){_error_("Not implemented yet");};
-		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
-		int   ObjectEnum(){_error_("Not implemented yet");};
-		Object* copy(){_error_("Not implemented yet");};
+		void  DeepEcho(){_error2_("Not implemented yet");};
+		int   Id(){_error2_("Not implemented yet");}; 
+		int   MyRank(){_error2_("Not implemented yet");};
+		int   ObjectEnum(){_error2_("Not implemented yet");};
+		Object* copy(){_error2_("Not implemented yet");};
 
 		/*Variogram functions*/
Index: issm/trunk-jpl/src/c/objects/Kriging/Observation.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Kriging/Observation.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Kriging/Observation.h	(revision 12494)
@@ -24,9 +24,9 @@
 		/*Object virtual functions definitions*/
 		void    Echo();
-		void    DeepEcho()  {_error_("Not implemented yet"); };
-		int     Id()        {_error_("Not implemented yet"); };
-		int     MyRank()    {_error_("Not implemented yet"); };
-		int     ObjectEnum(){_error_("Not implemented yet"); };
-		Object *copy()      {_error_("Not implemented yet"); };
+		void    DeepEcho()  {_error2_("Not implemented yet"); };
+		int     Id()        {_error2_("Not implemented yet"); };
+		int     MyRank()    {_error2_("Not implemented yet"); };
+		int     ObjectEnum(){_error2_("Not implemented yet"); };
+		Object *copy()      {_error2_("Not implemented yet"); };
 
 		/*Management*/
Index: issm/trunk-jpl/src/c/objects/Kriging/PowerVariogram.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Kriging/PowerVariogram.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Kriging/PowerVariogram.h	(revision 12494)
@@ -23,9 +23,9 @@
 		/*Object virtual functions definitions*/
 		void  Echo();
-		void  DeepEcho(){_error_("Not implemented yet");};
-		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
-		int   ObjectEnum(){_error_("Not implemented yet");};
-		Object* copy(){_error_("Not implemented yet");};
+		void  DeepEcho(){_error2_("Not implemented yet");};
+		int   Id(){_error2_("Not implemented yet");}; 
+		int   MyRank(){_error2_("Not implemented yet");};
+		int   ObjectEnum(){_error2_("Not implemented yet");};
+		Object* copy(){_error2_("Not implemented yet");};
 
 		/*Variogram functions*/
Index: issm/trunk-jpl/src/c/objects/Kriging/Quadtree.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Kriging/Quadtree.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Kriging/Quadtree.h	(revision 12494)
@@ -27,9 +27,9 @@
 				/*Object functions (Needed because the Quadtree uses a Container*/
 				void    Echo();
-				void    DeepEcho()  {_error_("not implemented yet"); };
-				int     Id()        {_error_("not implemented yet"); };
-				int     MyRank()    {_error_("not implemented yet"); };
-				int     ObjectEnum(){_error_("not implemented yet"); };
-				Object *copy()      {_error_("not implemented yet"); };
+				void    DeepEcho()  {_error2_("not implemented yet"); };
+				int     Id()        {_error2_("not implemented yet"); };
+				int     MyRank()    {_error2_("not implemented yet"); };
+				int     ObjectEnum(){_error2_("not implemented yet"); };
+				Object *copy()      {_error2_("not implemented yet"); };
 
 				/*Methods*/
Index: issm/trunk-jpl/src/c/objects/Kriging/SphericalVariogram.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Kriging/SphericalVariogram.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Kriging/SphericalVariogram.h	(revision 12494)
@@ -23,9 +23,9 @@
 		/*Object virtual functions definitions*/
 		void  Echo();
-		void  DeepEcho(){_error_("Not implemented yet");};
-		int   Id(){_error_("Not implemented yet");}; 
-		int   MyRank(){_error_("Not implemented yet");};
-		int   ObjectEnum(){_error_("Not implemented yet");};
-		Object* copy(){_error_("Not implemented yet");};
+		void  DeepEcho(){_error2_("Not implemented yet");};
+		int   Id(){_error2_("Not implemented yet");}; 
+		int   MyRank(){_error2_("Not implemented yet");};
+		int   ObjectEnum(){_error2_("Not implemented yet");};
+		Object* copy(){_error2_("Not implemented yet");};
 
 		/*Variogram functions*/
Index: issm/trunk-jpl/src/c/objects/Loads/Icefront.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Loads/Icefront.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Loads/Icefront.h	(revision 12494)
@@ -64,5 +64,5 @@
 		void  InputUpdateFromConstant(bool constant, int name);
 		void  InputUpdateFromSolution(IssmDouble* solution);
-		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error_("not implemented yet");};
+		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error2_("not implemented yet");};
 		/*}}}*/
 		/*Load virtual functions definitions: {{{*/
Index: issm/trunk-jpl/src/c/objects/Loads/Numericalflux.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Loads/Numericalflux.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Loads/Numericalflux.h	(revision 12494)
@@ -50,15 +50,15 @@
 		/*Update virtual functions resolution: {{{*/
 		void    InputUpdateFromVector(IssmDouble* vector, int name, int type){/*Do nothing*/}
-		void    InputUpdateFromVector(int* vector, int name, int type){_error_("Not implemented yet!");}
-		void    InputUpdateFromVector(bool* vector, int name, int type){_error_("Not implemented yet!");}
+		void    InputUpdateFromVector(int* vector, int name, int type){_error2_("Not implemented yet!");}
+		void    InputUpdateFromVector(bool* vector, int name, int type){_error2_("Not implemented yet!");}
 		void    InputUpdateFromMatrixDakota(IssmDouble* matrix, int nrows, int ncols, int name, int type){/*Do nothing*/}
 		void    InputUpdateFromVectorDakota(IssmDouble* vector, int name, int type){/*Do nothing*/}
-		void    InputUpdateFromVectorDakota(int* vector, int name, int type){_error_("Not implemented yet!");}
-		void    InputUpdateFromVectorDakota(bool* vector, int name, int type){_error_("Not implemented yet!");}
+		void    InputUpdateFromVectorDakota(int* vector, int name, int type){_error2_("Not implemented yet!");}
+		void    InputUpdateFromVectorDakota(bool* vector, int name, int type){_error2_("Not implemented yet!");}
 		void    InputUpdateFromConstant(IssmDouble constant, int name){/*Do nothing*/};
 		void    InputUpdateFromConstant(int constant, int name){/*Do nothing*/};
-		void    InputUpdateFromConstant(bool constant, int name){_error_("Not implemented yet!");}
-		void    InputUpdateFromSolution(IssmDouble* solution){_error_("Not implemented yet!");}
-		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error_("not implemented yet");};
+		void    InputUpdateFromConstant(bool constant, int name){_error2_("Not implemented yet!");}
+		void    InputUpdateFromSolution(IssmDouble* solution){_error2_("Not implemented yet!");}
+		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error2_("not implemented yet");};
 		/*}}}*/
 		/*Load virtual functions definitions: {{{*/
@@ -67,6 +67,6 @@
 		void  CreateKMatrix(Matrix* Kff, Matrix* Kfs);
 		void  CreatePVector(Vector* pf);
-		void  CreateJacobianMatrix(Matrix* Jff){_error_("Not implemented yet");};
-		void  PenaltyCreateJacobianMatrix(Matrix* Jff,IssmDouble kmax){_error_("Not implemented yet");};
+		void  CreateJacobianMatrix(Matrix* Jff){_error2_("Not implemented yet");};
+		void  PenaltyCreateJacobianMatrix(Matrix* Jff,IssmDouble kmax){_error2_("Not implemented yet");};
 		void  PenaltyCreateKMatrix(Matrix* Kff, Matrix* kfs, IssmDouble kmax);
 		void  PenaltyCreatePVector(Vector* pf, IssmDouble kmax);
Index: issm/trunk-jpl/src/c/objects/Loads/Pengrid.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Loads/Pengrid.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Loads/Pengrid.h	(revision 12494)
@@ -65,5 +65,5 @@
 		void  InputUpdateFromConstant(bool constant, int name);
 		void  InputUpdateFromSolution(IssmDouble* solution);
-		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error_("not implemented yet");};
+		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error2_("not implemented yet");};
 		/*}}}*/
 		/*Load virtual functions definitions: {{{*/
@@ -72,6 +72,6 @@
 		void  CreateKMatrix(Matrix* Kff, Matrix* Kfs);
 		void  CreatePVector(Vector* pf);
-		void  CreateJacobianMatrix(Matrix* Jff){_error_("Not implemented yet");};
-		void  PenaltyCreateJacobianMatrix(Matrix* Jff,IssmDouble kmax){_error_("Not implemented yet");};
+		void  CreateJacobianMatrix(Matrix* Jff){_error2_("Not implemented yet");};
+		void  PenaltyCreateJacobianMatrix(Matrix* Jff,IssmDouble kmax){_error2_("Not implemented yet");};
 		void  PenaltyCreateKMatrix(Matrix* Kff, Matrix* kfs, IssmDouble kmax);
 		void  PenaltyCreatePVector(Vector* pf, IssmDouble kmax);
Index: issm/trunk-jpl/src/c/objects/Loads/Penpair.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Loads/Penpair.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Loads/Penpair.h	(revision 12494)
@@ -44,13 +44,13 @@
 		void  InputUpdateFromVector(int* vector, int name, int type);
 		void  InputUpdateFromVector(bool* vector, int name, int type);
-		void  InputUpdateFromMatrixDakota(IssmDouble* matrix, int nrow, int ncols,int name, int type){_error_("Not implemented yet!");}
-		void  InputUpdateFromVectorDakota(IssmDouble* vector, int name, int type){_error_("Not implemented yet!");}
-		void  InputUpdateFromVectorDakota(int* vector, int name, int type){_error_("Not implemented yet!");}
-		void  InputUpdateFromVectorDakota(bool* vector, int name, int type){_error_("Not implemented yet!");}
+		void  InputUpdateFromMatrixDakota(IssmDouble* matrix, int nrow, int ncols,int name, int type){_error2_("Not implemented yet!");}
+		void  InputUpdateFromVectorDakota(IssmDouble* vector, int name, int type){_error2_("Not implemented yet!");}
+		void  InputUpdateFromVectorDakota(int* vector, int name, int type){_error2_("Not implemented yet!");}
+		void  InputUpdateFromVectorDakota(bool* vector, int name, int type){_error2_("Not implemented yet!");}
 		void  InputUpdateFromConstant(IssmDouble constant, int name);
 		void  InputUpdateFromConstant(int constant, int name);
 		void  InputUpdateFromConstant(bool constant, int name);
-		void  InputUpdateFromSolution(IssmDouble* solution){_error_("Not implemented yet!");}
-		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error_("not implemented yet");};
+		void  InputUpdateFromSolution(IssmDouble* solution){_error2_("Not implemented yet!");}
+		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error2_("not implemented yet");};
 		/*}}}*/
 			/*Load virtual functions definitions: {{{*/
Index: issm/trunk-jpl/src/c/objects/Loads/Riftfront.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/Loads/Riftfront.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Loads/Riftfront.cpp	(revision 12494)
@@ -536,5 +536,5 @@
 	else if(fill==MelangeEnum){ //icefront finding itself against another icefront (pressure imbalance is fully compensated, ice vs ice)
 
-		if(!shelf) _error2_("" << "fill type " << fill << " not supported on ice sheets yet.");
+		if(!shelf) _error2_("fill type " << fill << " not supported on ice sheets yet.");
 
 		pressure_litho=rho_ice*gravity*pow(thickness,(IssmDouble)2)/(IssmDouble)2;
@@ -546,5 +546,5 @@
 	}
 	else{
-		_error2_("" << "fill type " << fill << " not supported yet.");
+		_error2_("fill type " << fill << " not supported yet.");
 	}
 
Index: issm/trunk-jpl/src/c/objects/Loads/Riftfront.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Loads/Riftfront.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Loads/Riftfront.h	(revision 12494)
@@ -62,15 +62,15 @@
 		/*Update virtual functions resolution: {{{*/
 		void    InputUpdateFromVector(IssmDouble* vector, int name, int type);
-		void    InputUpdateFromVector(int* vector, int name, int type){_error_("Not implemented yet!");}
-		void    InputUpdateFromVector(bool* vector, int name, int type){_error_("Not implemented yet!");}
-		void    InputUpdateFromMatrixDakota(IssmDouble* matrix, int nrows,int ncols, int name, int type){_error_("Not implemented yet!");}
-		void    InputUpdateFromVectorDakota(IssmDouble* vector, int name, int type){_error_("Not implemented yet!");}
-		void    InputUpdateFromVectorDakota(int* vector, int name, int type){_error_("Not implemented yet!");}
-		void    InputUpdateFromVectorDakota(bool* vector, int name, int type){_error_("Not implemented yet!");}
+		void    InputUpdateFromVector(int* vector, int name, int type){_error2_("Not implemented yet!");}
+		void    InputUpdateFromVector(bool* vector, int name, int type){_error2_("Not implemented yet!");}
+		void    InputUpdateFromMatrixDakota(IssmDouble* matrix, int nrows,int ncols, int name, int type){_error2_("Not implemented yet!");}
+		void    InputUpdateFromVectorDakota(IssmDouble* vector, int name, int type){_error2_("Not implemented yet!");}
+		void    InputUpdateFromVectorDakota(int* vector, int name, int type){_error2_("Not implemented yet!");}
+		void    InputUpdateFromVectorDakota(bool* vector, int name, int type){_error2_("Not implemented yet!");}
 		void    InputUpdateFromConstant(IssmDouble constant, int name);
-		void    InputUpdateFromConstant(int constant, int name){_error_("Not implemented yet!");}
+		void    InputUpdateFromConstant(int constant, int name){_error2_("Not implemented yet!");}
 		void    InputUpdateFromConstant(bool constant, int name);
-		void    InputUpdateFromSolution(IssmDouble* solution){_error_("Not implemented yet!");}
-		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error_("not implemented yet");};
+		void    InputUpdateFromSolution(IssmDouble* solution){_error2_("Not implemented yet!");}
+		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error2_("not implemented yet");};
 		/*}}}*/
 		/*Load virtual functions definitions: {{{*/
@@ -79,6 +79,6 @@
 		void  CreateKMatrix(Matrix* Kff, Matrix* Kfs);
 		void  CreatePVector(Vector* pf);
-		void  CreateJacobianMatrix(Matrix* Jff){_error_("Not implemented yet");};
-		void  PenaltyCreateJacobianMatrix(Matrix* Jff,IssmDouble kmax){_error_("Not implemented yet");};
+		void  CreateJacobianMatrix(Matrix* Jff){_error2_("Not implemented yet");};
+		void  PenaltyCreateJacobianMatrix(Matrix* Jff,IssmDouble kmax){_error2_("Not implemented yet");};
 		void  PenaltyCreateKMatrix(Matrix* Kff, Matrix* kfs, IssmDouble kmax);
 		void  PenaltyCreatePVector(Vector* pf, IssmDouble kmax);
Index: issm/trunk-jpl/src/c/objects/Materials/Matpar.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Materials/Matpar.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Materials/Matpar.h	(revision 12494)
@@ -62,8 +62,8 @@
 		void   InputUpdateFromConstant(bool constant, int name);
 		void   InputUpdateFromSolution(IssmDouble* solution);
-		void   InputUpdateFromIoModel(int index, IoModel* iomodel){_error_("not implemented yet");};
+		void   InputUpdateFromIoModel(int index, IoModel* iomodel){_error2_("not implemented yet");};
 		/*}}}*/
 		/*Material virtual functions resolution: {{{*/
-		void   InputDuplicate(int original_enum,int new_enum){_error_("not implemented yet");};
+		void   InputDuplicate(int original_enum,int new_enum){_error2_("not implemented yet");};
 		void   Configure(Elements* elements);
 		void   GetVectorFromInputs(Vector* vector,int input_enum){return;}
Index: issm/trunk-jpl/src/c/objects/Node.cpp
===================================================================
--- issm/trunk-jpl/src/c/objects/Node.cpp	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Node.cpp	(revision 12494)
@@ -231,5 +231,5 @@
 		return indexing.sdoflist[dofindex];
 	}
-	else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+	else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 
 }
@@ -303,5 +303,5 @@
 			else for(i=0;i<this->indexing.ssize;i++) outdoflist[i]=indexing.sdoflist[i];
 		}
-		else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+		else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 	}
 }
@@ -343,5 +343,5 @@
 			}
 		}
-		else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+		else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 	}
 	else{
@@ -412,5 +412,5 @@
 			}
 		}
-		else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+		else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 	}
 }
@@ -598,5 +598,5 @@
 		else if (setenum==FsetEnum) numdofs=this->indexing.fsize;
 		else if (setenum==SsetEnum) numdofs=this->indexing.ssize;
-		else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+		else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 	}
 	else{
@@ -628,5 +628,5 @@
 			else numdofs=this->indexing.ssize;
 		}
-		else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+		else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 	}
 	return numdofs;
@@ -928,5 +928,5 @@
 		dofcount+=this->indexing.ssize;
 	}
-	else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+	else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 
 
@@ -957,5 +957,5 @@
 		for(i=0;i<this->indexing.ssize;i++) indexing.sdoflist[i]+=dofcount;
 	}
-	else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+	else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 }
 /*}}}*/
@@ -973,5 +973,5 @@
 	else if(setenum==FsetEnum)for(j=0;j<this->indexing.fsize;j++)  *(truedofs+ncols*sid+j)=indexing.fdoflist[j];
 	else if(setenum==SsetEnum)for(j=0;j<this->indexing.ssize;j++)  *(truedofs+ncols*sid+j)=indexing.sdoflist[j];
-	else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+	else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 
 }
@@ -992,5 +992,5 @@
 	else if(setenum==FsetEnum)for(j=0;j<this->indexing.fsize;j++) indexing.fdoflist[j]=*(alltruedofs+ncols*sid+j);
 	else if(setenum==SsetEnum)for(j=0;j<this->indexing.ssize;j++) indexing.sdoflist[j]=*(alltruedofs+ncols*sid+j);
-	else _error2_("" << " set of enum type " << EnumToStringx(setenum) << " not supported yet!");
+	else _error2_("set of enum type " << EnumToStringx(setenum) << " not supported yet!");
 
 }
Index: issm/trunk-jpl/src/c/objects/Node.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Node.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Node.h	(revision 12494)
@@ -45,5 +45,5 @@
 		int   MyRank();
 		int   ObjectEnum();
-		Object* copy(){_error_("Not implemented yet (similar to Elements)");};
+		Object* copy(){_error2_("Not implemented yet (similar to Elements)");};
 		/*}}}*/
 		/*Update virtual functions definitions: {{{*/
@@ -59,6 +59,6 @@
 		void  InputUpdateFromConstant(int constant, int name);
 		void  InputUpdateFromConstant(bool constant, int name);
-		void  InputUpdateFromSolution(IssmDouble* solution){_error_("Not implemented yet!");}
-		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error_("Not implemented yet!");}
+		void  InputUpdateFromSolution(IssmDouble* solution){_error2_("Not implemented yet!");}
+		void  InputUpdateFromIoModel(int index, IoModel* iomodel){_error2_("Not implemented yet!");}
 		/*}}}*/
 		/*Node numerical routines {{{*/
Index: issm/trunk-jpl/src/c/objects/Options/Option.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Options/Option.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Options/Option.h	(revision 12494)
@@ -31,8 +31,8 @@
 		virtual void  DeepEcho();
 		virtual void  DeepEcho(char* indent);
-		int   Id(){_error_("Not implemented yet");};
-		int   MyRank(){_error_("Not implemented yet");};
+		int   Id(){_error2_("Not implemented yet");};
+		int   MyRank(){_error2_("Not implemented yet");};
 		int   ObjectEnum(){return OptionEnum;};
-		Object* copy(){_error_("Not implemented yet");};
+		Object* copy(){_error2_("Not implemented yet");};
 		/*}}}*/
 
Index: issm/trunk-jpl/src/c/objects/Options/OptionCell.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Options/OptionCell.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Options/OptionCell.h	(revision 12494)
@@ -28,8 +28,8 @@
 		void  DeepEcho();
 		void  DeepEcho(char* indent);
-		int   Id(){_error_("Not implemented yet");};
-		int   MyRank(){_error_("Not implemented yet");};
+		int   Id(){_error2_("Not implemented yet");};
+		int   MyRank(){_error2_("Not implemented yet");};
 		int   ObjectEnum(){return OptionCellEnum;};
-		Object* copy(){_error_("Not implemented yet");};
+		Object* copy(){_error2_("Not implemented yet");};
 		/*}}}*/
 
@@ -39,12 +39,12 @@
 		int   NDims();
 		int*  Size();
-		void  Get(int* pvalue){_error_("An OptionCell object cannot return a int");};
-		void  Get(IssmPDouble* pvalue){_error_("An OptionCell object cannot return a IssmPDouble");};
-		void  Get(bool* pvalue){  _error_("An OptionCell object cannot return a bool");};
-		void  Get(char** pvalue){ _error_("An OptionCell object cannot return a string");};
-		void  Get(char*** ppvalue,int *pnumel){ _error_("An OptionCell object cannot return a string vec");};
-		void  Get(IssmPDouble** pvalue,int *pnumel){ _error_("An OptionCell object cannot return a IssmPDouble vec");};
+		void  Get(int* pvalue){_error2_("An OptionCell object cannot return a int");};
+		void  Get(IssmPDouble* pvalue){_error2_("An OptionCell object cannot return a IssmPDouble");};
+		void  Get(bool* pvalue){  _error2_("An OptionCell object cannot return a bool");};
+		void  Get(char** pvalue){ _error2_("An OptionCell object cannot return a string");};
+		void  Get(char*** ppvalue,int *pnumel){ _error2_("An OptionCell object cannot return a string vec");};
+		void  Get(IssmPDouble** pvalue,int *pnumel){ _error2_("An OptionCell object cannot return a IssmPDouble vec");};
 		void  Get(Options** pvalue);
-		void  Get(Options*** ppvalue,int *pnumel){ _error_("An OptionCell object cannot return an Options DataSet vec");};
+		void  Get(Options*** ppvalue,int *pnumel){ _error2_("An OptionCell object cannot return an Options DataSet vec");};
 
 };
Index: issm/trunk-jpl/src/c/objects/Options/OptionChar.h
===================================================================
--- issm/trunk-jpl/src/c/objects/Options/OptionChar.h	(revision 12493)
+++ issm/trunk-jpl/src/c/objects/Options/OptionChar.h	(revision 12494)
@@ -28,8 +28,8 @@
 		void  DeepEcho();
 		void  DeepEcho(char* indent);
-		int   Id(){_error_("Not implemented yet");};
-		int   MyRank(){_error_("Not implemented yet");};
+		int   Id(){_error2_("Not implemented yet");};
+		int   MyRank(){_error2_("Not implemented yet");};
 		int   ObjectEnum(){return OptionCharEnum;};
-		Object* copy(){_error_("Not implemented yet");};
+		Object* copy(){_error2_("Not implemented yet");};
 		/*}}}*/
 
@@ -39,12 +39,12 @@
 		int   NDims();
 		int*  Size();
-		void  Get(int* pvalue){_error_("An OptionChar object cannot return a int");};
-		void  Get(IssmPDouble* pvalue){_error_("An OptionChar object cannot return a IssmPDouble");};
-		void  Get(bool* pvalue){  _error_("An OptionChar object cannot return a bool");};
+		void  Get(int* pvalue){_error2_("An OptionChar object cannot return a int");};
+		void  Get(IssmPDouble* pvalue){_error2_("An OptionChar object cannot return a IssmPDouble");};
+		void  Get(bool* pvalue){  _error2_("An OptionChar object cannot return a bool");};
 		void  Get(char** pvalue);
 		void  Get(char*** ppvalue,int *pnumel);
-		void  Get(IssmPDouble** pvalue,int *pnumel){ _error_("An OptionChar object cannot return a IssmPDouble vec");};
-		void  Get(Options** pvalue){ _error_("An OptionChar object cannot return an Options DataSet");};
-		void  Get(Options*** ppvalue,int *pnumel){ _error_("An OptionChar object cannot return an Options DataSet vec");};
+		void  Get(IssmPDouble** pvalue,int *pnumel){ _error2_("An OptionChar object cannot return a IssmPDouble vec");};
+		void  Get(Options** pvalue){ _error2_("An OptionChar object cannot return an Options DataSet");};
+		void  Get(Options*** ppvalue,int *pnumel){ _error2_("An OptionChar object cannot return an Options DataSet vec");};
 
 };
